Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaServiceImplWriter

    java.lang.Object
      |
      +--org.apache.axis.wsdl.toJava.JavaWriter
            |
            +--org.apache.axis.wsdl.toJava.JavaClassWriter
                  |
                  +--org.apache.axis.wsdl.toJava.JavaServiceImplWriter

All Implemented Interfaces:
  Generator

public class JavaServiceImplWriter
extends JavaClassWriter

This is Wsdl2java's service implementation writer. It writes the Locator.java file.

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, type`

Constructor Summary
`protected` | `JavaServiceImplWriter(Emitter emitter, ServiceEntry sEntry, SymbolTable symbolTable)` Constructor.

Method Summary
`protected java.lang.String` | `getExtendsText()` Returns "extends org.apache.axis.client.Service ".
`protected java.lang.String` | `getImplementsText()` Returns "implements ".
`protected void` | `writeAddressInfo(java.io.PrintWriter pw, java.lang.String portName, java.lang.String address, javax.wsdl.Port p)` Write the private address field for this port and the public getter for it.
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Write the body of the service file.
`protected void` | `writeGetPortClass(java.io.PrintWriter pw, java.util.Vector getPortIfaces, java.util.Vector getPortStubClasses, java.util.Vector getPortPortNames, boolean printGetPortNotice)` Write the getPort(Class serviceInterfaceWriter) method.
`protected void` | `writeGetPortName(java.io.PrintWriter pw, java.lang.String bindingType, java.lang.String portName)` Write the get() method.
`protected void` | `writeGetPortNameURL(java.io.PrintWriter pw, java.lang.String bindingType, java.lang.String portName, java.lang.String stubClass, java.lang.String wsddServiceName)` Write the get(URL) method.
`protected void` | `writeGetPortQNameClass(java.io.PrintWriter pw)` Write the getPort(QName portName, Class serviceInterfaceWriter) method.
`protected void` | `writeGetPorts(java.io.PrintWriter pw, java.util.Vector portNames)` Write the getPorts method.
`protected void` | `writeGetServiceName(java.io.PrintWriter pw, QName qname)` Write the getServiceName method.
`protected void` | `writeWSDDServiceNameInfo(java.io.PrintWriter pw, java.lang.String wsddServiceName, java.lang.String portName)` Write the private WSDD service name field and the public accessors for it.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassModifiers, getClassName, getClassText, getFileName, getPackage, registerFile, writeFileFooter, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, generate, getPrintWriter, isFileGenerated, verboseMessage, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaServiceImplWriter

    protected JavaServiceImplWriter(Emitter emitter,
                                    ServiceEntry sEntry,
                                    SymbolTable symbolTable)

  Constructor.

Method Detail

### getExtendsText

    protected java.lang.String getExtendsText()

  Returns "extends org.apache.axis.client.Service ".
  Overrides:
    `getExtendsText` in class `JavaClassWriter`
  Following copied from class: `org.apache.axis.wsdl.toJava.JavaClassWriter`
  Returns:
    ""

### getImplementsText

    protected java.lang.String getImplementsText()

  Returns "implements ".
  Overrides:
    `getImplementsText` in class `JavaClassWriter`
  Following copied from class: `org.apache.axis.wsdl.toJava.JavaClassWriter`
  Returns:
    ""

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the service file.
  Overrides:
    `writeFileBody` in class `JavaWriter`

### writeAddressInfo

    protected void writeAddressInfo(java.io.PrintWriter pw,
                                    java.lang.String portName,
                                    java.lang.String address,
                                    javax.wsdl.Port p)

  Write the private address field for this port and the public getter for it.

### writeWSDDServiceNameInfo

    protected void writeWSDDServiceNameInfo(java.io.PrintWriter pw,
                                            java.lang.String wsddServiceName,
                                            java.lang.String portName)

  Write the private WSDD service name field and the public accessors for it.

### writeGetPortName

    protected void writeGetPortName(java.io.PrintWriter pw,
                                    java.lang.String bindingType,
                                    java.lang.String portName)

  Write the get() method.

### writeGetPortNameURL

    protected void writeGetPortNameURL(java.io.PrintWriter pw,
                                       java.lang.String bindingType,
                                       java.lang.String portName,
                                       java.lang.String stubClass,
                                       java.lang.String wsddServiceName)

  Write the get(URL) method.

### writeGetPortClass

    protected void writeGetPortClass(java.io.PrintWriter pw,
                                     java.util.Vector getPortIfaces,
                                     java.util.Vector getPortStubClasses,
                                     java.util.Vector getPortPortNames,
                                     boolean printGetPortNotice)

  Write the getPort(Class serviceInterfaceWriter) method.

### writeGetPortQNameClass

    protected void writeGetPortQNameClass(java.io.PrintWriter pw)

  Write the getPort(QName portName, Class serviceInterfaceWriter) method.

### writeGetServiceName

    protected void writeGetServiceName(java.io.PrintWriter pw,
                                       QName qname)

  Write the getServiceName method.

### writeGetPorts

    protected void writeGetPorts(java.io.PrintWriter pw,
                                 java.util.Vector portNames)

  Write the getPorts method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.